---
title: "Remove active NPNs subscribed to the account"
url: "https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc/operations/deleteActiveNpns"
---

> Full API specification: https://developer.agentsync.io/apis/producer-sync-api/versions/bdfe7300-4ebb-41e2-95d6-66cc697404bc.md

# Remove active NPNs subscribed to the account

`DELETE` `/v1/accounts/subscriptions`

Operation ID: `deleteActiveNpns`

Request a list of currently active NPNs to un-associated with the account (or delete).

## Request body (required)

Content types: `application/json`

## Responses

- `202` - Accepted
- `401` - Unauthorized
- `415` - Unsupported Media Type
- `429` - Too Many Requests
- `500` - Internal Server Error
- `504` - Gateway Timeout

## OpenAPI definition

```yaml
openapi: 3.1.1
info:
  title: ProducerSync API
  version: v2.85.1
servers:
  - url: https://api.sandbox.agentsync.io
    description: Sandbox
paths:
  /v1/accounts/subscriptions:
    delete:
      tags:
        - NPN Management
      operationId: deleteActiveNpns
      summary: Remove active NPNs subscribed to the account
      description: >
        Request a list of currently active NPNs to un-associated with the
        account (or delete).
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
            example:
              - "912484758"
              - "123456689"
              - "999999999"
      responses:
        "202":
          description: Accepted
        "401":
          $ref: "#/components/responses/401Unauthorized"
        "415":
          description: Unsupported Media Type
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    example: about:blank
                  status:
                    type: integer
                    example: 415
                  detail:
                    type: string
                    example: Content-Type 'null' is not supported
                  instance:
                    type: string
                    example: /v1/accounts/subscriptions
        "429":
          $ref: "#/components/responses/429TooManyRequests"
        "500":
          $ref: "#/components/responses/500InternalServerError"
        "504":
          $ref: "#/components/responses/504GatewayTimeout"
components:
  responses:
    401Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: Unauthorized
    429TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                example: API rate limit exceeded
    500InternalServerError:
      description: Internal Server Error
      content:
        application/json:
          schema:
            type: object
            properties:
              timestamp:
                type: integer
                example: 1613510729601
              status:
                type: integer
                example: 500
              error:
                type: string
                example: Internal Server Error
              message:
                type: string
                example: Error message describing why this was a server error.
              path:
                type: string
                example: "{requested endpoint}"
    504GatewayTimeout:
      description: Gateway Timeout
```
